# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename w3cjs

Name:               nodejs-w3cjs
Version:            0.3.0
Release:            4%{?dist}
Summary:            A node.js module for using the w3c validator

License:            Unlicense
URL:                https://www.npmjs.org/package/w3cjs
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
A node.js library for testing files or url's against the w3c HTML validator.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep superagent ~0.x
%nodejs_fixdep commander ~2.x
%nodejs_fixdep superagent-proxy

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/w3cjs
cp -pr package.json lib bin/ \
    %{buildroot}%{nodejs_sitelib}/w3cjs

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{barename}/bin/w3cjs %{buildroot}%{_bindir}

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{_bindir}/w3cjs
%{nodejs_sitelib}/w3cjs/

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 23 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Wed Sep 23 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.1.25-6
- Set correct license
- Fixdep superagent-proxy

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.25-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 24 2014 Parag Nemade <pnemade AT redhat.com> - 0.1.25-4
- Add missing w3cjs binary

* Thu Sep 25 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.25-3
- fix superagent-proxy dep

* Sun Sep 21 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.25-2
- fix commander dep

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 0.1.25-1
- Latest upstream.
- Specified noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 0.1.9-1
- Initial packaging for Fedora.
